//----------------------------------------------------------------------------
//  Project WmPlayer
//  Solidyne SRL
//  (C) 2007 Solidyne SRL
//
//  SUBSYSTEM:    WmPlayer Application
//  FILE:         wmplyrap.h
//  AUTHOR:       Sebastian Ledesma
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TWmPlayerApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(wmplyrap_h)              // Sentry, use file only if it's not already included.
#define wmplyrap_h

#include <owl/controlb.h>
#include <owl/docking.h>
#include <owl/mailer.h>
#include <owl/opensave.h>

#if OWLVersion>=0x0600
#include <ocf/oleframe.h>
#include <ocf/olewindo.h>
#include <ocf/ocstorag.h>
#else
#include <owl/oleframe.h>
#include <owl/olewindo.h>
#include <ocf/ocstorag.h>
#endif

#include "wmplyrap.rh"            // Definition of all resources.


//
// FrameWindow must be derived to override Paint for Preview and Print.
//
//{{TOleFrame = TSDIDecFrame}}
class TSDIDecFrame : public TOleFrame {
  public:
    TSDIDecFrame(const char far* title, TWindow* clientWnd, bool trackMenuSelection = false, TModule* module = 0);
    ~TSDIDecFrame();

//{{TWmPlayerAppVIRTUAL_BEGIN}}
  public:
    virtual void SetupWindow();
//{{TWmPlayerAppVIRTUAL_END}}
};    //{{TSDIDecFrame}}


//{{TApplication = TWmPlayerApp}}
class TWmPlayerApp : public TApplication, public TOcModule {
  private:

/*    void ProcessCmdLine(char * CmdLine);
	void RegisterInfo();
	void UnRegisterInfo();   */

  public:
    TWmPlayerApp();
    virtual ~TWmPlayerApp();
	//For Doc/View apps
	//	TUnknown*  CreateOleObject(uint32, TDocTemplate*){ return 0; }
   //For classic apps:
    TUnknown* CreateOleObject(uint32 options, TRegLink* link);
    
    THarbor*        ApxHarbor;

//{{TWmPlayerAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
    virtual void InitInstance();
//{{TWmPlayerAppVIRTUAL_END}}

//{{TWmPlayerAppRSP_TBL_BEGIN}}
  protected:
    void CmHelpAbout();
//{{TWmPlayerAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TWmPlayerApp);
};    //{{TWmPlayerApp}}


#endif  // wmplyrap_h sentry.
