//----------------------------------------------------------------------------
//  Project WmPlayer
//  Solidyne SRL
//  (C) 2007 Solidyne SRL
//
//  SUBSYSTEM:    WmPlayer Application
//  FILE:         wmplyrdc.h
//  AUTHOR:       Sebastian Ledesma
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TWmPlayerDlgClient (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(wmplyrdc_h)              // Sentry, use file only if it's not already included.
#define wmplyrdc_h

#if OWLVersion >=0x0600
#include <ocf/oledialg.h>
#else
#include <owl/oledialg.h>
#endif
#include <owl/button.h>
#include <owl/commctrl.h>

#include "wmPlayer.h"

#include "wmplyrap.rh"                  // Definition of all resources.


//{{TOleDialog = TWmPlayerDlgClient}}
struct TWmPlayerDlgClientXfer {
//{{TWmPlayerDlgClientXFER_DATA}}
//{{TWmPlayerDlgClientXFER_DATA_END}}
};

class TWmPlayerDlgClient : public TOleDialog {
  public:
    TWmPlayerDlgClient(TWindow* parent, TResId resId = IDD_CLIENT, TModule* module = 0);
    virtual ~TWmPlayerDlgClient();


//{{TWmPlayerDlgClientVIRTUAL_BEGIN}}
  public:
    virtual void SetupWindow();
    virtual void CleanupWindow();
    virtual bool CanClose();
//{{TWmPlayerDlgClientVIRTUAL_END}}

//{{TWmPlayerDlgClientRSP_TBL_BEGIN}}
  protected:
    void EvSize(uint sizeType, TSize& size);
	//bool EvOcCtrlCustomEvent(TCtrlCustomEvent* pev);
    void OnOpen();
    void OnPlay();
    void OnStop();
//{{TWmPlayerDlgClientRSP_TBL_END}}

	TOcControl* Ocx;
   MediaPlayerWrapper::TIMediaPlayer2Proxy Proxy;

DECLARE_RESPONSE_TABLE(TWmPlayerDlgClient);

//{{TWmPlayerDlgClientXFER_DEF}}
  protected:
    TButton* pBtn_Open;
    TButton* pBtn_Play;
    TButton* pBtn_Stop;
    TButton* pBtn_Ok;

//{{TWmPlayerDlgClientXFER_DEF_END}}
};    //{{TWmPlayerDlgClient}}


#endif  // wmplyrdc_h sentry.
